Nishant Bangarwa created AMBARI-20037:
-----------------------------------------

             Summary: Druid-superset install fails with ambari running on 
python 2.6.6
                 Key: AMBARI-20037
                 URL: https://issues.apache.org/jira/browse/AMBARI-20037
             Project: Ambari
          Issue Type: Bug
            Reporter: Nishant Bangarwa
            Assignee: Nishant Bangarwa


StackTrace - 
Traceback (most recent call last):
  File 
"/var/lib/ambari-agent/cache/common-services/DRUID/0.9.2/package/scripts/superset.py",
 line 153, in <module>
    Superset().execute()
  File 
"/usr/lib/python2.6/site-packages/resource_management/libraries/script/script.py",
 line 313, in execute
    method(env)
  File 
"/var/lib/ambari-agent/cache/common-services/DRUID/0.9.2/package/scripts/superset.py",
 line 91, in start
    self.configure(env)
  File 
"/usr/lib/python2.6/site-packages/resource_management/libraries/script/script.py",
 line 116, in locking_configure
    original_configure(obj, *args, **kw)
  File 
"/var/lib/ambari-agent/cache/common-services/DRUID/0.9.2/package/scripts/superset.py",
 line 71, in configure
    properties=quote_string_values(superset_config),
  File 
"/var/lib/ambari-agent/cache/common-services/DRUID/0.9.2/package/scripts/superset.py",
 line 141, in quote_string_values
    rv[key] = quote_string_value(value)
  File 
"/var/lib/ambari-agent/cache/common-services/DRUID/0.9.2/package/scripts/superset.py",
 line 148, in quote_string_value
    return "'{}'".format(value)
ValueError: zero length field name in format



--
This message was sent by Atlassian JIRA
(v6.3.15#6346)

Reply via email to